%global git_date 20160831
%global git_commit_hash 5ce113f4d2a3fc6712f8eb8606a6b0899dc6f8d1

Name: doxy2man
Version: 0
Release: %autorelease
Summary: Create man pages from doxygen XML output

License: GPLv3+
URL: https://github.com/gsauthof/doxy2man
Source0: https://github.com/gsauthof/%{name}/archive/%{git_commit_hash}/%{git_commit_hash}.tar.gz#/%{name}-%{git_commit_hash}.tar.gz

BuildRequires: rpm findutils
BuildRequires: asciidoc
BuildRequires: libxslt
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtxmlpatterns-devel
BuildRequires: make

%description
Doxy2man takes the XML generated by Doxygen as input and creates several
man pages from that. It creates a summary man page for a header and for
each function a detailed man page. The output is optimized for C projects.
It supports the most common doxygen features, e.g. implicit and explicit
see also tags, copyright, author information, brief and detailed
descriptions, etc.

%prep

%setup -qn %{name}-%{git_commit_hash}
sed -i 's|asciidoc.py|asciidoc|g' main.pro
sed -i "s|/usr/share/asciidoc/docbook-xsl/manpage.xsl|$(rpm -q --fileprovide asciidoc|grep manpage.xsl|xargs)|g" main.pro

%build
%{qmake_qt5}
make %{?_smp_mflags}
make %{?_smp_mflags} doxy2man.8


%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 doxy2man %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8/
install -p -m 644 doxy2man.8 %{buildroot}%{_mandir}/man8

%files
%{_bindir}/doxy2man
%{_mandir}/man8/doxy2man.8.gz
%license COPYING

%changelog
%autochangelog
